org.apache.ignite.internal.processors.cache.query

## Interface QueryCursorEx.Consumer<T>

Enclosing interface:
  QueryCursorEx<T>

    public static interface QueryCursorEx.Consumer<T>

Query value consumer.

### Method Summary

Methods
`void` `consume(T val)` Consume value.

### Method Detail

#### consume

    void consume(T val)
                 throws IgniteCheckedException

Consume value.

Parameters:
  `val` - Value.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017